"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _freeSolidSvgIcons = require("@fortawesome/free-solid-svg-icons");

var _freeRegularSvgIcons = require("@fortawesome/free-regular-svg-icons");

var _styles = require("@buffetjs/styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var iconMap = new Map([['time', _freeRegularSvgIcons.faClock], ['password', _freeSolidSvgIcons.faEye], ['search', _freeSolidSvgIcons.faSearch], ['left', _freeSolidSvgIcons.faAngleLeft], ['right', _freeSolidSvgIcons.faAngleRight], ['pencil', _freeSolidSvgIcons.faPencilAlt], ['asc', _freeSolidSvgIcons.faSortUp], ['desc', _freeSolidSvgIcons.faSortDown], ['trash', _freeSolidSvgIcons.faTrashAlt], ['plus', _freeSolidSvgIcons.faPlus]]);

function Icon(_ref) {
  var icon = _ref.icon,
      className = _ref.className;

  if (iconMap.has(icon)) {
    return _react["default"].createElement(_styles.Icon, {
      icon: iconMap.get(icon),
      className: className || undefined
    });
  }

  return icon || null;
}

Icon.defaultProps = {
  className: null,
  icon: 'search'
};
Icon.propTypes = {
  className: _propTypes["default"].string,
  icon: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].node])
};
var _default = Icon;
exports["default"] = _default;